Package org.gradle.api.artifacts

# Interface ExcludeRule

public interface ExcludeRule
An `ExcludeRule` is used to describe transitive dependencies that should be excluded when resolving dependencies.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `GROUP_KEY`
  `static final String`
  `MODULE_KEY`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getGroup()`
  The exact name of the organization or group that should be excluded.
  `String`
  `getModule()`
  The exact name of the module that should be excluded.

- ## Field Details

  - ### GROUP_KEY

    static final String GROUP_KEY
    See Also:
      - Constant Field Values

  - ### MODULE_KEY

    static final String MODULE_KEY
    See Also:
      - Constant Field Values

- ## Method Details

  - ### getGroup

    String getGroup()
    The exact name of the organization or group that should be excluded.

  - ### getModule

    String getModule()
    The exact name of the module that should be excluded.